Bug 1479920 - Hawkular verification - error message contains HTML tags
Hawkular verification - error message contains HTML tags
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.2
Assigned To: Yaacov Zamir
Shalom Naim
container:ui
: ZStream
Depends On: 1472294
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 14:25 EDT by Satoe Imaishi
Modified: 2017-10-23 20:37 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1472294
Environment:
Last Closed: 2017-10-23 20:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 00:15:49 EDT

  None (edit)
Comment 2 CFME Bot 2017-08-09 14:28:40 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/dae2e1d82e087a876b8e5cbad7147c869eb59d1e

commit dae2e1d82e087a876b8e5cbad7147c869eb59d1e
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Jul 19 16:12:59 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 14:25:57 2017 -0400

    Merge pull request #1712 from yaacov/strip-tags-before-sending-error-details
    
    Strip html tags before sending error details to flash message
    (cherry picked from commit 0ccbfc5f23a5fc070ffd881ec38331f89f605a48)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479920

 app/controllers/mixins/ems_common_angular.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Yaacov Zamir 2017-08-21 06:36:23 EDT
backported to fine
https://github.com/ManageIQ/manageiq-ui-classic/pull/1712
Comment 5 errata-xmlrpc 2017-10-23 20:37:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.